---
title: orient
slug: Web/SVG/Attribute/orient
tags:
  - SVG
  - SVG Attr
---
<div>{{SVGRef}}</div>

<p>The <code><strong>orient</strong></code> attribute indicates how a marker is rotated when it is placed at its position on the shape.</p>

<p>Only one element is using this attribute: {{SVGElement("marker")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[5,11]">&lt;svg viewBox="0 0 100 100" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;defs&gt;
    &lt;marker id="arrow" viewBox="0 0 10 10" refX="5" refY="5"
        markerWidth="6" markerHeight="6"
        orient="auto-start-reverse"&gt;
      &lt;path d="M 0 0 L 10 5 L 0 10 z" /&gt;
    &lt;/marker&gt;

    &lt;marker id="dataArrow" viewBox="0 0 10 10" refX="5" refY="5"
        markerWidth="6" markerHeight="6"
        orient="-65deg"&gt;
      &lt;path d="M 0 0 L 10 5 L 0 10 z" fill="red" /&gt;
    &lt;/marker&gt;
  &lt;/defs&gt;

  &lt;polyline points="10,10 10,90 90,90" fill="none" stroke="black"
      marker-start="url(#arrow)" marker-end="url(#arrow)" /&gt;

  &lt;polyline points="15,80 29,50 43,60 57,30 71,40 85,15" fill="none" stroke="grey"
      marker-start="url(#dataArrow)" marker-mid="url(#dataArrow)"
      marker-end="url(#dataArrow)" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "220", "220")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <code>auto-start-reverse</code> | {{cssxref("angle")}} | {{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes (non-additive)</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>auto</code></dt>
 <dd>This value indicates that the marker is oriented such that its positive x-axis is pointing in a direction relative to the path at the position the marker is placed.</dd>
 <dt><code>auto-start-reverse</code></dt>
 <dd>
 <p>If placed by {{SVGAttr("marker-start")}}, the marker is oriented 180° different from the orientation that would be used if <code>auto</code> where specified. For all other markers, <code>auto-start-reverse</code> means the same as <code>auto</code>.</p>

 <p class="note"><strong>Note:</strong> This allows a single arrowhead marker to be defined that can be used for both the start and end of a path, i.e. which points outwards from both ends.</p>
 </dd>
 <dt><code>&lt;angle&gt;</code></dt>
 <dd>
 <p>This value indicates that the marker is oriented such that the specified angle is that measured between the shape's positive x-axis and the marker's positive x-axis.</p>

 <p class="note"><strong>Note:</strong> For example, if a value of <code>45</code> is given, then the marker's positive x-axis would be pointing down and right in the shape's coordinate system.</p>
 </dd>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>This value indicates an angle in degrees. The marker is oriented such that the specified angle is that measured between the shape's positive x-axis and the marker's positive x-axis.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "painting.html#OrientAttribute", "orient")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Added the <code>auto-start-reverse</code> value and simplified the descriptions of the values.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "painting.html#OrientAttribute", "orient")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.marker.orient")}}</p>
